Set Mcp Server Instance Sharing
Share the connection with the workspace, or make it its owner’s again.
PUT
/
v1
/
workspaces
/
{workspace}
/
mcp-server-instances
/
{instance_id}
/
sharing
Set Mcp Server Instance Sharing
curl --request PUT \
--url https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"shared": true
}'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing"
payload = { "shared": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shared: true})
};
fetch('https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'shared' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing"
payload := strings.NewReader("{\n \"shared\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shared\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shared\": true\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"json_spec": {},
"name": "<string>",
"server_spec_id": "<string>",
"transport": "url",
"updated_at": "2023-11-07T05:31:56Z",
"verification": {},
"auth_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": {},
"events": {},
"is_owner": false,
"last_dispatch": {},
"managed_by": "<string>",
"personal": false,
"tools": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Slug of the workspace the request acts in
Maximum string length:
120Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Body
application/json
Response
Successful Response
How a connection is reached: the instance's transport column, set once at creation.
Available options:
url, docker, command, bundle ⌘I
Set Mcp Server Instance Sharing
curl --request PUT \
--url https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"shared": true
}'import requests
url = "https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing"
payload = { "shared": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shared: true})
};
fetch('https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'shared' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing"
payload := strings.NewReader("{\n \"shared\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"shared\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/workspaces/{workspace}/mcp-server-instances/{instance_id}/sharing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"shared\": true\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"json_spec": {},
"name": "<string>",
"server_spec_id": "<string>",
"transport": "url",
"updated_at": "2023-11-07T05:31:56Z",
"verification": {},
"auth_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": {},
"events": {},
"is_owner": false,
"last_dispatch": {},
"managed_by": "<string>",
"personal": false,
"tools": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}